<template>
    <template v-if="links.total > 3">
        <div class="pagination">
            <template v-for="(link, p) in links.links" :key="p">
                <a @click.prevent="$emit('nextPage',link.url)"
                    class="pagination__link"
                    :class="{ active: link.active }"
                    v-html="link.label"
                />
            </template>
        </div>
    </template>
</template>

<script setup>
const props = defineProps({
    links: Object,
});
</script>
